org.apache.commons.math3.analysis.polynomials

## Interface PolynomialsUtils.RecurrenceCoefficientsGenerator

Enclosing class:
  PolynomialsUtils

    private static interface PolynomialsUtils.RecurrenceCoefficientsGenerator

Interface for recurrence coefficients generation.

### Method Summary

Methods
`BigFraction[]` `generate(int k)` Generate recurrence coefficients.

### Method Detail

#### generate

    BigFraction[] generate(int k)

Generate recurrence coefficients.

Parameters:
  `k` - highest degree of the polynomials used in the recurrence
Returns:
  an array of three coefficients such that Pk+1(X) = (a[0] + a[1] X) Pk(X) - a[2] Pk-1(X)